<?php

class otable extends CI_Model
{
    private static $indexDb = '';

    public function __construct()
    {
        $this->load->model('oo');
        self::$indexDb = oo::$config['dbindex'];
    }

    /**
     * facebook注册用户信息表（api_account变更为api_user,合表）
     * @return string
     */
    public static function taccount($siteuid = "")
    {
        return oo::$config['dbindex'] . "api_user.t_account";
    }

    /**
     * 用户详细信息表（api_userinfo变更为api_user,合表）
     */
    public static function userinfo($uid = null)
    {
        return oo::$config['dbindex'] . "api_user.t_userinfo";
    }

    /**
     * 事件标题(report变更为api)
     * @return string
     * Created by: Owen
     * Created on: 2019/7/26 18:40
     * Description:
     */
    public static function EventTitle()
    {
        return oo::$config['dbindex'] . "api.t_event";
    }

    /**
     *    gh_games(gh_games变更为crazyGod_api_user)
     *    server 存储玩家信息表
     */
    public static function gh_gameserver($uid = "")
    {
        return oo::$config['dbindex'] . 'api_user.gh_gameinfo';
    }

    /**
     * 新手引导流失
     * @return string
     * Created by: Owen
     * Created on: 2019/7/26 17:44
     * Description:
     */
    public static function newGuideLost()
    {
        return oo::$config['dbindex'] . "api_statistics.report_event";
    }

    /**
     * 新手引导流失 FB
     * @return string
     * Created by: Hss
     * Created on: 2019/12/27 10:48
     * Description:
     */
    public static function newGuideLostFb()
    {
        return oo::$config['dbindex'] . "api_statistics.report_event_fb";
    }

    /**
     * 数据统计
     * @return string
     * Created by: hss
     * Created on: 2020/3/12 16:59
     */
    public static function staData()
    {
        return oo::$config['dbindex'] . "api_statistics.t_sta_data";
    }

    /**
     * AdJust 統計
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function AdJustSta($uid = 0)
    {
        if ($uid == 0) {
            return oo::$config['dbindex'] . "api_statistics.t_adjust_sta";
        }
        return oo::$config['dbindex'] . "api_adjuststa.t_adjust_sta_" . $uid % 100;
    }

    /**
     * AdJust 統計
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function AdJustData()
    {
        return oo::$config['dbindex'] . "api_adjuststa.t_adjust_data";
    }

    /**
     * 广告统计
     * @return string
     * Created by: Owen
     * Created on: 2019/10/21 17:22
     */
    public static function advertisementSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_advertisementSta";
    }

    public static function coinDozerGameSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_coinDozerSta";
    }

    /**
     * 每日宝箱统计
     * @return string
     */
    public static function daliyChestLog()
    {
        return oo::$config['dbindex'] . "api_statistics.daily_chest_log";
    }

    /**
     * 礼包权重
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function GiftWeights()
    {
        return oo::$config['dbindex'] . "api_config.t_gift_weights_config";
    }

    /**
     *    商品列表 -- 瘋狂的上帝
     */
    public static function goodsCrazy()
    {
        return oo::$config['dbindex'] . "api_paymentnew.goods_crazygod";
    }

    /**
     * 礼包商品列表
     */
    public static function giftPackGoods(): string
    {
        return oo::$config['dbindex'] . "api_payment3.gift_pack_goods";
    }

    /**
     * 礼包类型映射表
     */
    public static function gTypeGoods(): string
    {
        return oo::$config['dbindex'] . "api_payment3.goods_type";
    }

    /**
     * 礼包触发
     * @return string
     * Created by: Owen
     * Created on: 2020/6/17 16:02
     */
    public static function GiftTrigger()
    {
        return oo::$config['dbindex'] . "api_config.t_gift_trigger_config";
    }

    /**
     * 静态配置
     * @return string
     * Created by: Owen
     * Created on: 2019/8/22 14:32
     * Description:
     */
    public static function StaticConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_static_config";
    }

    /**
     * 静态md5配置
     * @return string
     * Created by: Owen
     * Created on: 2019/8/22 14:32
     * Description:
     */
    public static function StaticMd5Config()
    {
        return oo::$config['dbindex'] . "api_config.t_static_md5_config";
    }

    /**
     * 用户流水表
     * @param string $uid
     * @return string
     */
    public static function Assetslog($date = '', $uid = -1)
    {
        if ($date == "") {
            return oo::$config['dbindex'] . "log.assetslog_";
        }
        if ($uid == -1) {
            return oo::$config['dbindex'] . "log.assetslog_" . $date;
        }
        //分10张表
        return oo::$config['dbindex'] . "log.assetslog_" . $date . "_" . $uid % 10;
    }

    /**
     * Notes:开卡流水统计
     * User: xwy
     * Time: 2021/11/4 14:38
     * @return string
     */
    public static function cardAssertSummary()
    {
        return oo::$config['dbindex'] . "log.card_assets_summary";
    }

    /**
     * 旧用户流水表
     * @param string $uid
     * @return string
     */
    public static function Assetslog2($date = '', $uid = -1)
    {
        if ($date == "") {
            return oo::$config['dbindex2'] . "log.assetslog_";
        }
        if ($uid == -1) {
            return oo::$config['dbindex2'] . "log.assetslog_" . $date;
        }
        //分10张表
        return oo::$config['dbindex2'] . "log.assetslog_" . $date . "_" . $uid % 10;
    }

    public static function ActAssetslog($date = '', $uid = -1)
    {
        if ($date == "") {
            return oo::$config['dbindex'] . "log.act_assetslog_";
        }
        if ($uid == -1) {
            return oo::$config['dbindex'] . "log.act_assetslog_" . $date;
        }
        //分10张表
        return oo::$config['dbindex'] . "log.act_assetslog_" . $date . "_" . $uid % 10;
    }

    /**
     * 用户体力记录表
     * @param string $date
     * @return string
     */
    public static function TodaySpinsLog($date = '')
    {
        return oo::$config['dbindex'] . "log.today_spinslog_" . $date;
    }

    /**
     *  关卡岛建筑升级所需金币配置
     */
    public static function coinConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_coin_config";
    }

    /**
     * 金币体力发放消耗统计
     * @param string $uid
     * @return string
     */
    public static function AssetsSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_assets_sta";
    }

    /**
     * 金币体力发放消耗统计
     * @param string $uid
     * @return string
     */
    public static function PropertyAdd()
    {
        return oo::$config['dbindex'] . "api_statistics.t_property_add";
    }

    /**
     * 金币体力发放消耗统计
     * @param string $uid
     * @return string
     */
    public static function PropertyLow()
    {
        return oo::$config['dbindex'] . "api_statistics.t_property_low";
    }

    /**
     * 系统配置
     * @return string
     * Created by: Owen
     * Created on: 2019/11/27 16:28
     */
    public static function systemConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_system_config";
    }

    /**
     * 后台统计术语
     * @param string $uid
     * @return string
     */
    public static function cmsTerm()
    {
        return oo::$config['dbindex'] . "cms.cms_term";
    }

    /**
     * 后台权限
     * @param string $uid
     * @return string
     */
    public static function cmsPermission()
    {
        return oo::$config['dbindex'] . "cms.permission";
    }

    /**
     * 老虎机统计
     * @return string
     * Created by: Owen
     * Created on: 2019/8/5 15:14
     * Description:
     */
    public static function slotStatistics()
    {
        return oo::$config['dbindex'] . "api_statistics.t_slotSta";
    }

    /**
     *    信鸽推送
     */
    static public function xg_push()
    {
        return oo::$config['dbindex'] . "api_push.xg_push";
    }

    /**
     *    记录推送消息
     */
    static public function pushnews()
    {
        return oo::$config['dbindex'] . "api_admin.pushnews";
    }

    //消息推送设置
    public static function PushSetting()
    {
        return oo::$config['dbindex'] . "api_admin.pushsetting";
    }

    public static function EmailClassConf()
    {
        return oo::$config['dbindex'] . "api_config.t_email_class_conf";
    }

    public static function EmailConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_email_config";
    }

    static function EmailSendLog()
    {
        return oo::$config['dbindex'] . "api_config.t_email_send_log";
    }

    public static function ActivityCoins()
    {
        return oo::$config['dbindex'] . "api_config.t_activity_coin_config";
    }

    public static function LvCoinsConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_lv_coin_config";
    }

    /**
     * 聚合广告
     * @param  $version
     * @return string
     * Created by: Owen
     * Created on: 2020/7/14 10:36
     */
    public static function Polymerization($version = 0)
    {
        if ($version) {
            return oo::$config['dbindex'] . "api_config.t_polymerization_config{$version}";
        }
        return oo::$config['dbindex'] . "api_config.t_polymerization_config";
    }

    /**
     * 用户分组配置
     * @param int
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:46
     */
    public static function UserGroupConfig($version = 0)
    {
        if ($version) {
            return oo::$config['dbindex'] . "api_config.t_user_group{$version}";
        }
        return oo::$config['dbindex'] . "api_config.t_user_group";
    }

    /**
     * 用户分组条件配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function UserGroupConditionConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_user_group_condition";
    }

    /**
     * 用户岛数据
     */
    public static function userlevel($uid = "")
    {
        if ($uid) {
            return oo::$config['dbindex'] . 'api_userlevel.t_userlevel' . $uid % 100;
        } else {
            return oo::$config['dbindex'] . 'api_userlevel.t_userlevel_orig';
        }
    }

    /**
     *    订单列表
     */
    public static function payment($uid)
    {
        return oo::$config['dbindex'] . "api_paymentnew.payment" . $uid % 100;
    }

    /**
     * 用户动态数据
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function UserDynamicsData()
    {
        return oo::$config['dbindex'] . "api_user.t_userdynamics";
    }

    /**
     * 用户好友(api_userfriends变更为api_user)
     * @param $uid
     * @return string
     * Created by: Owen
     * Created on: 2020/7/23 16:17
     */
    public static function userfriends($uid)
    {
        return oo::$config['dbindex'] . 'api_user.t_userfriends';
    }

    /**
     * 新手步骤 统计记录
     * @return string
     * Created by: hss
     * Created on: 2019/12/24 11:25
     */
    public static function noviceStepsSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_novice_steps_sta";
    }

    /**
     * 客户端日记
     * @return string
     * Created by: hss
     * Created on: 2020/3/13 16:28
     */
    public static function clientlog($month = "202003")
    {
        return oo::$config['dbindex'] . "api_statistics.t_clientlog_{$month}";
    }

    /**
     * 宝藏活动配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function TreasureConfig($version = '')
    {
        if ($version) {
            return oo::$config['dbindex'] . "api_config.t_treasure_config2";
        } else {
            return oo::$config['dbindex'] . "api_config.t_treasure_config";
        }
    }

    /**
     * 宝藏活动配置
     * @return string
     * Created by: Owen
     * Created on: 2020/7/22 10:47
     */
    public static function TreasureProConfig($version = '')
    {
        if ($version) {
            return oo::$config['dbindex'] . "api_config.t_treasure_pro_config2";
        } else {
            return oo::$config['dbindex'] . "api_config.t_treasure_pro_config";
        }
    }

    /**
     * 宝藏活动 分组配置
     * @return string
     * Created by: Xwy
     * Created on: 2022/02/24  11:15
     */
    public static function treasureProGroups()
    {
        return oo::$config['dbindex'] . "api_config.t_treasure_pro_groups";
    }

    /**
     * 宝藏活动 分组 权重 配置
     * @return string
     * Created by: Xwy
     * Created on: 2022/02/24  11:15
     */
    public static function treasureProGroupsConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_treasure_pro_groups_config";
    }

    /**
     * 幸运骰子 结果分组配置
     * @return string
     */
    public static function luckyDicePointGroups(): string
    {
        return oo::$config['dbindex'] . "api_config.t_luckydice_point_groups";
    }

    /**
     * 幸运骰子 结果分组 权重 配置
     * @return string
     */
    public static function luckyDicePointGroupsConf(): string
    {
        return oo::$config['dbindex'] . "api_config.t_luckydice_point_groups_config";
    }

    /**
     * 幸运骰子 转盘分组配置
     * @return string
     */
    public static function luckyDiceWheelGroups(): string
    {
        return oo::$config['dbindex'] . "api_config.t_luckydice_wheel_groups";
    }

    /**
     * 幸运骰子 转盘分组 权重 配置
     * @return string
     */
    public static function luckyDiceWheelGroupsConf(): string
    {
        return oo::$config['dbindex'] . "api_config.t_luckydice_wheel_groups_config";
    }

    /**
     * 分享配置
     * @return string
     * Created by: Owen
     * Created on: 2020/8/3 20:24
     */
    public static function ShareLinkConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_share_link_config";
    }

    /**
     * Notes:用户国家信息
     * User: wsc
     * Time: 2020/5/20 11:29
     * @return string
     */
    public static function useraddress()
    {
        return oo::$config['dbindex'] . "api_user.t_useraddress";
    }

    /**
     * remain统计表 FB / 游客
     * @return string
     */
    static public function remainStatistics2()
    {
        return oo::$config['dbindex'] . "api_statistics.remain_statistics2";
    }

    /**
     * 星星兑换配置
     * @return string
     * Created by: Owen
     * Created on: 2020/6/10 17:48
     */
    public static function StarExchange()
    {
        return oo::$config['dbindex'] . "api_config.t_star_exchange_config";
    }

    /**
     * 星星兑换配置（新）
     * @return string
     */
    public static function StarExchangeV2(): string
    {
        return oo::$config['dbindex'] . "api_config.t_new_star_exchange_config";
    }

    /**
     * 活动图片资源目录配置
     * @return string
     * Created by: Hss
     * Created on: 2020/8/11 17:48
     */
    public static function ActiveImgNameConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_active_img_name_config";
    }

    /**
     * 邀请奖励配置 等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/8/17 15:16
     */
    public static function InviteRewardConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_invite_reward_config";
    }

    /**
     * 邀请奖励配置 等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/8/17 15:16
     */
    public static function UpLimitConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_uplimit_config";
    }

    /**
     * 邀请进度领奖统计报表
     * @return string
     * Created by: Richard
     * Created on: 2021/4/25 10:41
     */
    public static function inviteStageSuccReward()
    {
        return oo::$config['dbindex'] . "api_statistics.t_invite_reward_stage";
    }

    /**
     * Notes:活动层级条件配置
     * User: xwy
     * Time: 2022/04/02 17:12
     * @return string
     */
    public static function actStageConditionConf()
    {
        return oo::$config['dbindex'] . "api_config.t_act_condition";
    }

    /**
     * Notes:活动层级奖励配置
     * User: xwy
     * Time: 2022/04/02 17:12
     * @return string
     */
    public static function actStageRewardsConf()
    {
        return oo::$config['dbindex'] . "api_config.t_act_stage_rewards";
    }

    /**
     * Notes:活动配置
     * User: wsc
     * Time: 2020/7/16 14:56
     * @return string
     */
    public static function activityConf()
    {
        return oo::$config['dbindex'] . "api_config.t_activity_config";
    }

    /**
     * 活动公共配置
     * @return string
     */
    public static function activityCommonConf(): string
    {
        return oo::$config['dbindex'] . "api_config.t_activity_common_conf";
    }

    /**
     * Notes:活动阶段奖励配置
     * User: wsc
     * Time: 2020/7/16 15:00
     * @return string
     */
    public static function activityStageRewardConf()
    {
        return oo::$config['dbindex'] . "api_config.t_activity_stage_reward_config";
    }

    /**
     * Notes:排行榜记录及领奖记录
     * User: wsc
     * Time: 2020/8/20 15:08
     * @param $aid
     * @param int $type
     * @return string
     */
    public static function rankActLog($aid, $type = 1)
    {
        if ($type == 1) {
            return oo::$config['dbindex'] . 'log.rank_log_' . $aid;//正式服数据库为小写
        } else {
            return oo::$config['dbindex'] . 'log.rank_receive_log_' . $aid;
        }
    }

    /**
     * Notes:活动进度记录
     * User: wsc
     * Time: 2020/8/20 15:17
     * @param $aid
     * @return string
     */
    public static function actStageLog($aid)
    {
        return oo::$config['dbindex'] . 'log.act_stage_log_' . $aid;
    }

    /**
     * 宠物经验配置
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 9:59
     */
    public static function PetExpConfig2()
    {
        return oo::$config['dbindex'] . "api_config.t_pet_exp_config2";
    }

    /**
     * Notes:公共通用配置
     * User: wsc
     * Time: 2020/9/16 10:03
     * @return string
     */
    public static function commonConfig()
    {
        return oo::$config['dbindex'] . "api_config.common_conf";
    }

    /**
     * Notes:回归奖励配置
     * User: xwy
     * Time: 2022/04/20 11:03
     * @return string
     */
    public static function returnsRewards()
    {
        return oo::$config['dbindex'] . "api_config.t_returns_rewards";
    }

    /**
     * Notes:兑换码
     * User: wsc
     * Time: 2020/8/26 17:04
     * @return string
     */
    public static function exchangeCode()
    {
        return oo::$config['dbindex'] . "api.t_exchange_code";
    }

    /**
     * Notes:机器人
     * User: wsc
     * Time: 2020/8/26 17:04
     * @return string
     */
    public static function Robot()
    {
        return oo::$config['dbindex'] . "api.t_robot";
    }

    /**
     * Notes:机器人
     * User: wsc
     * Time: 2020/8/26 17:04
     * @return string
     */
    public static function RobotInfo()
    {
        return oo::$config['dbindex'] . "api.t_robotInfo";
    }

    /**
     *    支付汇总表
     */
    public static function summarylist()
    {
        return oo::$config['dbindex'] . "api_paymentnew.summarylist";
    }

    /**
     *    支付汇总表
     */
    public static function order($year = '')
    {
        $year = empty($year) ? date('Y') : $year;
        $year = 2022;
        return oo::$config['dbindex'] . "api_payment3.order_" . $year;
    }

    /**
     * 支付汇总表
     */
    public static function gameOrder()
    {
        return oo::$config['dbindex'] . "api_payment3.game_order";
    }

    /**
     * 预订单表
     */
    public static function preorder()
    {
        return oo::$config['dbindex'] . "api_payment3.preorder";
    }

    /**
     * 支付统计表
     */
    public static function paidStat()
    {
        return oo::$config['dbindex'] . "api_payment3.paid_statistics";
    }

    /**
     *    在线在玩统计
     */
    public static function onlineplaying()
    {
        return oo::$config['dbindex'] . "api_admin.onlineplaying";
    }

    //卡片星级概率配置
    public static function cardPro_Config()
    {
        return oo::$config['dbindex'] . "api_config.t_card_pro_config";
    }

    //卡片信息配置(api_cardinfo变更为api)
    public static function CardInfo()
    {
        return oo::$config['dbindex'] . "api.t_cardinfo";
    }

    /**
     * 分享点配置
     * @return string
     * Created by: Hss
     * Created on: 2020/8/31 10:49
     */
    public static function sharePointConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_share_point_config";
    }

    /**
     * 分享列表配置
     * @return string
     * Created by: Hss
     * Created on: 2020/8/31 10:49
     */
    public static function sharePointListConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_share_point_list_config";
    }

    /**
     * 邀请奖励配置 等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/8/17 15:16
     */
    public static function FriendGiftCoinsConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_friend_gift_coins";
    }

    /**
     * 宝藏探索礼包积分配置
     * @return string
     * Created by: Hss
     * Created on: 2020/9/3 15:19
     */
    public static function treasureQuestPointConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_gift_treasure_quest_point_config";
    }

    /*****************统计相关    Start********************/
    /**
     * 记录用户历史表
     * @param string $uid
     * @return string
     */
    //每日新增
    public static function sta_np()
    {
        return oo::$config['dbindex'] . "api_statistics.newplayer";
    }

    //每日登陆
    public static function sta_lp()
    {
        return oo::$config['dbindex'] . "api_statistics.loginplayer";
    }

    public static function sta_country()
    {
        return oo::$config['dbindex'] . "api_statistics.country_statistics";
    }

    /**
     * 早报自动统计表
     * @return string
     */
    static public function report()
    {
        return oo::$config['dbindex'] . "api_statistics.report";
    }

    /**
     * 道具配置
     * @return string
     * Created by: Owen
     * Created on: 2020/9/10 18:48
     */
    static public function ChestConfig($v = "")
    {
        return oo::$config['dbindex'] . "api_config.t_chest_config{$v}";
    }

    /**
     * 金币不足 体力不足 配置
     * @return string
     * Created by: Hss
     * Created on: 2020/9/15 15:09
     */
    public static function shopNotEnoughConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_shop_not_enough_config";
    }

    /**
     * 宠物配置
     * @return string
     * Created by: Owen
     * Created on: 2020/9/21 17:41
     */
    public static function PetConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_pet_config2";
    }

    /**
     * 记录用户历史表
     * @param string $uid
     * @return string
     */
    public static function statistics($uid = "")
    {
        return oo::$config['dbindex'] . "api_user.t_statistics";
    }

    /**
     * 埋点数据
     * @return string
     * Created by: Hss
     * Created on: 2020/9/22 14:50
     */
    public static function buryingPointLog()
    {
        return oo::$config['dbindex'] . "api_statistics.t_burying_point";
    }

    /**
     * 玩家邀请礼包
     * @return string
     */
    public static function userinvitegiftbag()
    {
        return oo::$config['dbindex'] . "api_userinvite.invite_giftbag";
    }

    /**
     * 基础配置存储库
     */
    public static function basicConfig()
    {
        return oo::$config['dbindex'] . 'api_config.t_basic_config';
    }

    public static function PropertyLogin()
    {
        return oo::$config['dbindex'] . "api_statistics.t_login_time";
    }

    public static function loginTimeAddress()
    {
        return oo::$config['dbindex'] . "api_statistics.t_login_time_address";
    }

    /**
     * 广告数据
     * @return string
     * Created by: Hss
     * Created on: 2020/10/24 11:09
     */
    public static function advertData()
    {
        return oo::$config['dbindex'] . "api_statistics.t_advert_data";
    }

    /**
     * 投放数据
     * @return string
     * Created by: Hss
     * Created on: 2020/10/24 11:09
     */
    public static function launchData()
    {
        return oo::$config['dbindex'] . "api_statistics.t_launch_data";
    }

    /**
     * 广告数据
     * @return string
     * Created by: Hss
     * Created on: 2020/11/13 15:48
     */
    public static function advertData2()
    {
        return oo::$config['dbindex'] . "api_statistics.t_advert_data2";
    }

    /**
     * 投放数据
     * @return string
     * Created by: Hss
     * Created on: 2020/11/16 11:03
     */
    public static function launchData2()
    {
        return oo::$config['dbindex'] . "api_statistics.t_launch_data2";
    }

    /**
     * 运营日报地区
     * @return string
     * Created by: Hss
     * Created on: 2020/11/3 15:37
     */
    public static function operateDailylist()
    {
        return oo::$config['dbindex'] . "api_statistics.t_operate_dailylist";
    }

    /**
     * 通信证统计
     * @return string
     * Created by: Owen
     * Created on: 2020/11/7 15:33
     */
    public static function TrafficPermitSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_traffic_permit_sta";
    }

    /**
     * 用户分组
     * @return string
     * Created by: Owen
     * Created on: 2020/11/12 16:47
     */
    public static function UserGroupSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_user_group_sta";
    }

    /**
     * 好友数量进度奖励配置表
     */
    public static function friendProgressConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_friends_progress_reward_config";
    }

    /*
     * 矿工小游戏天统计
     * @return string
     * Created by: Owen
     * Created on: 2020/11/17 17:17
     */
    public static function MiningGameDateSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_mining_game_sta_date";
    }

    /**
     * 矿工小游戏统计
     * @return string
     * Created by: Owen
     * Created on: 2020/11/17 17:17
     */
    public static function MiningGameSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_mining_game_sta";
    }

    /**
     * 语言内容配置
     * @return string
     * Created by: Hss
     * Created on: 2020/11/19 11:20
     */
    public static function languageConfig($v = "")
    {
        return oo::$config['dbindex'] . "api_config.t_language_config{$v}";
    }

    /**
     * 邮件统计
     * @return string
     * Created by: Hss
     * Created on: 2020/11/19 11:20
     */
    public static function SendMailSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_send_mail_sta";
    }

    /**
     * Notes:facebase 推送配置
     * User: wsc
     * Time: 2020/11/9 17:06
     * @return string
     */
    public static function fasebasePushConf()
    {
        return oo::$config['dbindex'] . "api_config.t_fasebase_push_conf";

    }

    /**
     * 奖励礼包
     * @return string
     * Created by: Owen
     * Created on: 2020/12/2 15:54
     */
    public static function UserGiftList()
    {
        return oo::$config['dbindex'] . 'api_user.t_usergiftlist';
    }

    /**
     * AI help 配置
     * @return string
     * Created by: Owen
     * Created on: 2020/12/2 15:54
     */
    public static function AIHelp()
    {
        return oo::$config['dbindex'] . 'api_config.t_ai_help_config';
    }

    /**
     * 支付白名单
     * @return string
     * Created by: Hss
     * Created on: 2020/11/23 16:20
     */
    public static function payWhiteList()
    {
        return oo::$config['dbindex'] . "api_config.t_pay_white_list";
    }

    /**
     * 版本号管理
     * @return string
     */
    public static function versionSet()
    {
        return oo::$config['dbindex'] . "api_config.t_version_set";
    }

    /**
     * 保险柜统计
     * @return string
     * Created by: Owen
     * Created on: 2020/12/8 19:44
     */
    public static function SteelSafeSta()
    {
        return oo::$config['dbindex'] . 'api_statistics.t_steel_safe_sta';
    }

    //卡片信息配置(api_cardinfo变更为api)
    public static function cardinfo_config()
    {
        return oo::$config['dbindex'] . "api.t_cardinfo";
    }

    //卡組信息配置(api_cardinfo变更为api)
    public static function cardgroup_config()
    {
        return oo::$config['dbindex'] . "api.t_cardgroup";
    }

    //限时卡组主题配置表
    public static function cardgroup_limit_theme_config()
    {
        return oo::$config['dbindex'] . "api.t_cardgroup_limit_theme";
    }

    /**
     * 当天人均通关数（当天通关数 / 当天登陆用户数） 保存到数据库
     * @return string
     * Created by: hss
     * Created on: 2020/1/15 18:45
     */
    public static function saveTodayUpLvelSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_today_up_level_sta";
    }

    /**
     * Notes:推金币游戏统计记录
     * @return string
     */
    public static function gamelog_coindozer()
    {
        return oo::$config['dbindex'] . "log.gamelog_coindozer";
    }

    /**
     * Notes:玩家小游戏参记录
     * @return string
     */
    public static function participation()
    {
        return oo::$config['dbindex'] . "api_statistics.t_participation_table_sta";
    }

    /**
     * 推金币小游戏
     */
    public static function usercoindozer()
    {
        return oo::$config['dbindex'] . 'api_user.t_user_coindozer';
    }

    /**
     * 签到等级区间
     * @return string
     * Created by: Hss
     * Created on: 2020/5/23 12:18
     */
    public static function signinSection()
    {
        return oo::$config['dbindex'] . "api_config.t_signin_config_section";
    }

    /**
     * 七日签到 -- 配置 --分组
     * @return string
     * Created by: Owen
     * Created on: 2019/11/29 11:33
     */
    public static function SignInProgressConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_signin_progress_config3";
    }

    /**
     * 七日签到 -- 配置 --分组
     * @return string
     */
    public static function signInWeeklyConf(): string
    {
        return oo::$config['dbindex'] . "api_config.t_sign_in_weekly_config";
    }

    /**
     * 用户道具
     */
    public static function userprops($uid)
    {
        return oo::$config['dbindex'] . 'api_userprops.gh_props' . $uid % 100;
    }

    /**
     * Notes:用户卡片配置(api_cardinfo变更为api_user,并合表)
     * User: wsc
     * DateTime: 2020/2/28 12:29
     * @param $uid
     * @return string
     */
    public static function usercard_config($uid)
    {
        return oo::$config['dbindex'] . "api_user.t_usercard";
    }

    /**
     * 用户宠物信息
     * @return string
     * Created by: owen
     * Created on: 2020/2/4 14:29
     */
    public static function UserPet($uid)
    {
        return oo::$config['dbindex'] . "api_userprops.t_userpet" . $uid % 100;
    }

    /**
     * Notes:跑马灯消息配置
     * User: wsc
     * Time: 2021/1/20 14:33
     * @return string
     */
    public static function noticeMsg()
    {
        return oo::$config['dbindex'] . "api_config.t_notice_msg";
    }

    /**
     * 卡片权重系数
     * @return string
     * Created by: Owen
     * Created on: 2021/1/21 19:39
     */
    public static function CardCoefficient()
    {
        return oo::$config['dbindex'] . "api_config.t_card_coefficient";
    }

    /**
     * 系统补偿
     * @return string
     * Created by: Owen
     * Created on: 2019/12/4 16:42
     */
    public static function SysCompenConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_syscompen_config_2";
    }

    /**
     * 系统公告
     * @return string
     * Created by: Owen
     * Created on: 2019/11/7 11:35
     */
    public static function announcement($flag = 0)
    {
        return $flag ? oo::$config['dbindex'] . "api_config.t_announcement2" : oo::$config['dbindex'] . "api_config.t_announcement";
    }

    /**
     * 宝箱皮肤
     * @return string
     * Created by: Owen
     * Created on: 2019/11/7 11:35
     */
    public static function ChestSkinConfig($v = "")
    {
        return oo::$config['dbindex'] . "api_config.t_chest_skin_config{$v}";
    }

    /**
     * tradeplus广告变现
     */
    public static function tradeplus()
    {
        return oo::$config['dbindex'] . "api_statistics.t_tradeplus";
    }

    /**
     *  老虎机配置
     */
    public static function slotConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_solt_config";
    }

    /**
     *  Cms用户表
     */
    public static function cmsadmin()
    {
        return oo::$config['dbindex'] . "cms.cmsadmin";
    }

    /**
     *  Cms角色表
     */
    public static function cmsrole()
    {
        return oo::$config['dbindex'] . "cms.cmsrole";
    }

    /**
     *  Cms操作日记
     */
    public static function cmslog()
    {
        return oo::$config['dbindex'] . "cms.t_log";
    }


    /**
     *  买量用户记录表
     */
    public static function adjustAdsData()
    {
        return oo::$config['dbindex'] . "api_statistics.t_adjust_ads_data";
    }

    //老虎机权重分组
    static function slotWeightGroups()
    {
        return oo::$config['dbindex'] . "api_config.t_slot_weight_groups";

    }

    //老虎机权重分组概率配置
    static function slotWeightGroupsCfg()
    {
        return oo::$config['dbindex'] . "api_config.t_slot_weight_groups_config";

    }

    //老虎机权重概率配置
    static function slotWeightCfg()
    {
        return oo::$config['dbindex'] . "api_config.t_slot_weight_config";

    }

    //老虎机权重概率修正配置
    static function slotWeightChangeCfg()
    {
        return oo::$config['dbindex'] . "api_config.t_slot_weight_change_config";

    }

    //老虎机体力反比配置
    static function slotSpinsReturnRateCfg()
    {
        return oo::$config['dbindex'] . "api_config.t_slot_spins_return_rate_config";

    }

    //收集活动卡点配置
    static function slotFreezePointCfg()
    {
        return oo::$config['dbindex'] . "api_config.t_slot_freeze_point_config";

    }

    //失败订单记录
    static function paymentFail()
    {
        return oo::$config['dbindex'] . "api_paymentnew.payment_fail";
    }

    /**
     * 老虎机权重变化配置
     * @return string
     * Created by: Owen
     * Created on: 2021/2/27 16:24
     */
    static function SlotWeightChangConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_slot_weight_change_config";
    }

    /**
     * 锦标赛 + 超级收集活动 进度 统计
     * @return string
     * Created by: Hss
     * Created on: 2021/3/6 10:26
     */
    public static function rankCollectSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_act_rankcollect_sta";
    }

    /**
     * adjust同期群数据
     * @return string
     */
    public static function ajustPeriodData()
    {
        //库名咋不是report。。。
//        return oo::$config['dbindex']."roport_statistics.t_ajust_period_data";
        return "crazygod_roport_statistics.t_ajust_period_data";
    }

    /**
     * facebook广告详情表
     * @return string
     */
    public static function facebookAds()
    {
        //库名咋不是report。。。
//        return oo::$config['dbindex']."roport_statistics.t_facebook_ads";
        return "crazygod_roport_statistics.t_facebook_ads";
    }

    /**
     * facebook广告组表
     * @return string
     */
    public static function facebookAdset()
    {
        //库名咋不是report。。。
//        return oo::$config['dbindex']."roport_statistics.t_facebook_adset";
        return "crazygod_roport_statistics.t_facebook_adset";
    }

    /**
     * adjust日报表 可交付数据
     * @return string
     */
    public static function TAdjust($type = "day")
    {
        //哈夫曼树 day的请求量多，排在最前，其次到week，最后是month
        if ($type == "day") {
            return "crazygod_roport_statistics.t_adjust";
        } else if ($type == "week") {
            return "crazygod_roport_statistics.t_adjust_week";
        } else if ($type == "month") {
            return "crazygod_roport_statistics.t_adjust_month";
        }
    }

    /**
     * adjust日报表 同期群数据
     * @return string
     */
    public static function TAdjustPeriod($type = "day")
    {
        if ($type == "day") {
            return "crazygod_roport_statistics.t_adjust_period";
        } else if ($type == "week") {
            return "crazygod_roport_statistics.t_adjust_period_week";
        } else if ($type == "month") {
            return "crazygod_roport_statistics.t_adjust_period_month";
        }
    }

    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function adjustReport($type = 'day')
    {
        return oo::$config['dbindex'] . "roport_statistics.t_adjust_report_" . $type;
    }

    /**
     * 系统邮件
     * @return string
     */
    static function sysMailMsg()
    {
        return oo::$config['dbindex'] . "api_config.sys_mail_msg";
    }

    /**
     * google花费数据
     * @return string
     */
    public static function googleCampaign()
    {
        return "crazygod_roport_statistics.t_google_campaign";
    }


    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function prodegeSpends($type = 'day')
    {
        return "crazygod_roport_statistics.t_prodege_spends";
    }

    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function adactionSpends($type = 'day')
    {
        return "crazygod_roport_statistics.t_adaction_spends";
    }

    /**
     * Notes:adjust report表
     * User: xwy
     * Time: 2022/07/18 14:38
     * @return string
     */
    public static function mistplaySpends($type = 'day')
    {
        return "crazygod_roport_statistics.t_mistplay_spends";
    }

    /**
     * 登录日记
     * @param $date
     * @return string
     * Created by: Owen
     * Created on: 2021/4/2 9:54
     */
    public static function LoginLog($date)
    {
        return "crazygod_api_log.new_login_log_" . $date;
    }

    /**
     * 金币价值
     * @return string
     * Created by: Owen
     * Created on: 2021/4/6 11:42
     */
    public static function CoinsValueSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_coins_value_sta";
    }

    /**
     * 资源监控
     * @return string
     * Created by: Owen
     * Created on: 2021/4/6 11:42
     */
    public static function ResourceMonitoringSta()
    {
        return oo::$config['dbindex'] . "api_statistics.t_resource_monitoring_sta";
    }

    /**
     * 登陸數據
     * @return string
     * Created by: Owen
     * Created on: 2021/4/6 11:42
     */
    public static function UserLoginData()
    {
        return oo::$config['dbindex'] . "api_statistics.t_user_login_data";
    }

    /**
     * adjust日报表 国家列表
     * @return string
     */
    public static function TCountryCode()
    {
        return "crazygod_roport_statistics.t_country_code";
    }

    /**
     * adjust同期群广告详细表
     * @return string
     */
    public static function TAdjustPeriodView($type = "Facebook")
    {
        if (in_array($type, ["Facebook", 'Google_ads', 'Mintegral', 'TikTok', '苹果商店页搜索广告'])) {
            return "crazygod_roport_statistics.t_adjust_period_view";
        } else {
            return "crazygod_roport_statistics.t_adjust_period_campaigns";
        }
    }

    /**
     * ironsource花费
     * @return string
     */
    public static function TIronsourceCampain()
    {
        return "crazygod_roport_statistics.t_ironsource_campain";
    }

    /**
     * Unity花费
     * @return string
     */
    public static function TUnityCampain()
    {
        return "crazygod_roport_statistics.t_unity_campain";
    }

    /**
     * 根据类型获取花费表
     * @return string
     */
    public static function TTypeCampain($type)
    {
        $type = strtolower($type);
        return "crazygod_roport_statistics.t_{$type}_campain";
    }

    /**
     * 谷歌花费详情表 - 精确到广告
     * @return string
     */
    public static function tGoogleViews()
    {
        return "crazygod_roport_statistics.t_google_views";
    }

    /**
     * 分享公共配置
     * @return string
     * Created by: Owen
     * Created on: 2021/4/29 15:59
     */
    public static function shareBaseConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_share_base_config";
    }

    /**
     * 分享配置
     * @return string
     * Created by: Owen
     * Created on: 2021/4/29 15:59
     */
    public static function shareConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_share_config3";
    }

    /**
     * 分享配置2
     * @return string
     * Created by: Owen
     * Created on: 2021/4/29 15:59
     */
    public static function shareConfig2()
    {
        return oo::$config['dbindex'] . "api_config.t_share_config2";
    }

    /**
     * 金卡交换粉丝页不同语言跳转地址
     */
    public static function fansUrl()
    {
        return oo::$config['dbindex'] . "api_config.t_fans_url";
    }

    /**
     * Notes:卡组领奖记录
     * User: wsc
     * Time: 2021/7/27 10:38
     * @return string
     */
    static function cardRewardLog()
    {
        return oo::$config['dbindex'] . "log.card_reward_log";
    }

    /**
     * Notes:水果机基础配置
     * User: wsc
     * Time: 2021/9/14 21:03
     * @return string
     */
    static function fruitBaseConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_fruit_base_config";
    }

    /**
     * Notes:水果机等级配置
     * User: wsc
     * Time: 2021/9/14 21:04
     * @return string
     */
    static function fruitLvConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_fruit_lv_config";
    }

    static function newloginLog($date)
    {
        return "crazygod_roport_statistics.t_login_log_" . $date;
    }

    static function registerLog()
    {
        return "crazygod_roport_statistics.t_register_log";
    }

    /**
     * 超級倍率活动配置
     * @return string
     * Created by: Owen
     * Created on: 2020/3/12 19:45
     */
    public static function CrazyBetConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_crazy_bet_config";
    }

    /**
     * 奖励中心配置
     * @return string
     * Created by: Owen
     * Created on: 2020/4/2 19:38
     */
    public static function RewardCenterConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_reward_center_config";
    }

    /**
     * Notes:用户新邮箱洗信息
     * User: wsc
     * Time: 2022/1/19 16:15
     * @param $uid
     * @return string
     */
    public static function userEmailNew($uid)
    {
        return oo::$config['dbindex'] . "player_email.player_email_" . $uid % 100;
    }

    /**
     * Notes:用戶賬號渠道表
     * User: xwy
     * @return string
     */
    public static function userChannel()
    {
        return oo::$config['dbindex'] . "api_user.t_channel";
    }

    //体力瓶礼包
    public static function spinsPotGift()
    {
        return oo::$config['dbindex'] . "api_config.t_spins_pot_basic_config";
    }

    //体力瓶权重
    public static function spinsPotWeight()
    {
        return oo::$config['dbindex'] . "api_config.t_spins_pot_probability_config";
    }

    public static function avatarConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_avatar_config";
    }

    public static function clubMemberStatistics()
    {
        return oo::$config['dbindex'] . "club_sta.club_member_statistics";
    }

    public static function clubInfoHistory()
    {
        return oo::$config['dbindex'] . "club_sta.club_info_history";
    }

    public static function clubStarStatistics()
    {
        return oo::$config['dbindex'] . "club_sta.club_star_statistics";
    }

    public static function rewardTriggerConfig()
    {
        return oo::$config['dbindex'] . "api_config.t_reward_trigger_config";
    }

    //真老虎机金币配置
    static function realSlotCoinCfg()
    {
        return oo::$config['dbindex'] . "api_config.t_real_slot_coin";
    }

    //真老虎机权重分组
    static function realSlotWeightGroups()
    {
        return oo::$config['dbindex'] . "api_config.t_real_slot_weight_groups";

    }

    //真老虎机权重分组概率配置
    static function realSlotWeightGroupsCfg()
    {
        return oo::$config['dbindex'] . "api_config.t_real_slot_weight_groups_config";
    }

    //真老虎机概率干预事件配置
    static function realSlotCeProConf(): string
    {
        return oo::$config['dbindex'] . "api_config.t_real_slot_ce_prob_conf";
    }

    //副老虎机奖励基准配置
    static function assistantSlotRewardBasicCfg(): string
    {
        return oo::$config['dbindex'] . "api_config.t_assistant_slots_reward_basic_conf";
    }


    //副老虎机权重配置
    static function assistantSlotWeightCfg(): string
    {
        return oo::$config['dbindex'] . "api_config.t_assistant_slots_weight_config";
    }

    /**
     * 玩家的系统邮件
     * @param int $uid
     */
    static function userSysMail($uid)
    {
        return oo::$config['dbindex'] . "user_sysmail.user_sysmail_" . $uid % 100;
    }

    static function gmSendUserMsgLog()
    {
        return oo::$config['dbindex'] . "log.gm_send_msg__log";
    }

    static function adBoard()
    {
        return oo::$config['dbindex'] . "roport_statistics.t_ad_board";

    }

    /**
     * 商城免费奖励
     */
    public static function dailyFreeConf(): string
    {
        return oo::$config['dbindex'] . "api_payment3.daily_free";
    }

    public static function dailyFreeRewardConf(): string
    {
        return oo::$config['dbindex'] . "api_payment3.daily_free_reward";
    }

    static function paintVotes()
    {
        return oo::$config['dbindex'] . "roport_statistics.t_paint_votes";
    }

    static function wmcpi()
    {
        return "crazygod_roport_statistics.t_wm_cpi";
    }

    /**
     * 登陸彈框配置
     * @return string
     * Created by: Owen
     * Created on: 2020/5/19 12:04
     */
    public static function LoginBulletBox()
    {
        return oo::$config['dbindex'] . "api_config.t_login_bullet_box";
    }

    /**
     * 新手收集奖励配置列表
     * @return string
     */
    public static function NewUserCollectConf(): string
    {
        return oo::$config['dbindex'] . "api_config.t_new_user_collect_config";
    }
    /**
     * 推金币活动收集物概率
     * @return string
     */
    public static function coinPushPro(): string
    {
        return oo::$config['dbindex'] . "api_config.t_coin_push_pro";
    }

    /**
     * jackpot 分组表
     * @return string
     */
    public static function jackpotGroups(): string
    {
        return oo::$config['dbindex'] . "api_config.t_jackpot_groups";
    }

    /**
     * jackpot 分组权重表
     * @return string
     */
    public static function jackpotGroupsWeights(): string
    {
        return oo::$config['dbindex'] . "api_config.t_jackpot_groups_weights";
    }
}
